Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Reinstall Ambari-server and agents or restore to its previous version on HDF cluster

Highlighted

Reinstall Ambari-server and agents or restore to its previous version on HDF cluster

Contributor

Hi All!

I have a question, if it is possible to restore Ambari server and its agents to its previous version if HDF-3.2.0 cluster upgrade 3.0.2 to 3.2.0 failed with error: Directly upgrading to this version is not supported. Although https://supportmatrix.hortonworks.com/ says that it should be possible. (Though Ambari-2.6.0 was successfully upgraded to 2.7.0)

The next attemp was to upgrade HDF to HDF-3.1.2 with Ambari 2.7.0. but it also failed with following error:

Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/common-services/NIFI/1.0.0/package/scripts/service_check.py", line 99, in <module>
    NifiServiceCheck().execute()
  File "/usr/lib/ambari-agent/lib/resource_management/libraries/script/script.py", line 353, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/common-services/NIFI/1.0.0/package/scripts/service_check.py", line 39, in service_check
    import params
  File "/var/lib/ambari-agent/cache/common-services/NIFI/1.0.0/package/scripts/params.py", line 284, in <module>
    for host in config['clusterHostInfo']['zookeeper_hosts']:
  File "/usr/lib/ambari-agent/lib/resource_management/libraries/script/config_dictionary.py", line 73, in __getattr__
    raise Fail("Configuration parameter '" + self.name + "' was not found in configurations dictionary!")
resource_management.core.exceptions.Fail: Configuration parameter 'zookeeper_hosts' was not found in configurations dictionary!

And supportmatrix says that Ambari 2.7.0 cannot work with HDF-3.1.2 .

So, now I have to somehow restore my Ambari server and its agents to its previous version. I have taken following backups before starting upgrade

$ /usr/bin/pg_dumpall | gzip > /data/backup/pg_dumpall_15112018.gz

cp -r /var/lib/ambari-server/resources /var/lib/ambari-server/resources.backup.15112018 cp /etc/ambari-server/conf/ambari.properties /etc/ambari-server/conf/ambari.properties.backup.15112018

Please help to restore my Ambari server and its agents to its previous version.

Thanks in advance!

with regards,

Gulshan

Don't have an account?
Coming from Hortonworks? Activate your account here